summaryrefslogtreecommitdiff
path: root/scripts/prepare
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/prepare')
-rwxr-xr-xscripts/prepare11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/prepare b/scripts/prepare
new file mode 100755
index 0000000..e5a781c
--- /dev/null
+++ b/scripts/prepare
@@ -0,0 +1,11 @@
+#!env zsh
+
+if [[ ! -f ../config || ! -d ../patches ]]; then
+ echo "Likely not in kernel dir, exiting"
+ exit 1
+fi
+
+cp ../config .config
+patch -p1 < ../patches/O3.patch
+patch -p1 < ../patches/patch-*.*-ck1
+make oldconfig